Skip to content
  • UtilityAssociationFeatureSourceQueryResult
  • class Esri::ArcGISRuntime::UtilityAssociationFeatureSourceQueryResult

    The result of a query features operation performed on a UtilityAssociationFeatureSource. More...

    Header: #include <UtilityAssociationFeatureSourceQueryResult.h>
    Since: Esri::ArcGISRuntime 300.0
    Inherits: Esri::ArcGISRuntime::Object

    Public Functions

    virtual ~UtilityAssociationFeatureSourceQueryResult() override
    QList<Esri::ArcGISRuntime::UtilityAssociationFeatureCandidate *> candidates() const
    Esri::ArcGISRuntime::QueryParameters nextQueryParams() const
    Esri::ArcGISRuntime::QueryParameters queryParams() const

    Detailed Description

    The UtilityAssociationFeatureSource::queryFeaturesAsync operation returns an object of this type.

    The query result includes the nextQueryParams, which can be used to query the next set of results, the current QueryParameters, and a collection of UtilityAssociationFeatureCandidate objects that contain the queried features.

    See also UtilityAssociationFeatureSource::queryFeaturesAsync.

    Member Function Documentation

    [override virtual noexcept] UtilityAssociationFeatureSourceQueryResult::~UtilityAssociationFeatureSourceQueryResult()

    Destructor.

    QList<Esri::ArcGISRuntime::UtilityAssociationFeatureCandidate *> UtilityAssociationFeatureSourceQueryResult::candidates() const

    Returns the candidates matching this query.

    The number of candidates is limited by the maxFeatures value in the QueryParameters object, if provided.

    Esri::ArcGISRuntime::QueryParameters UtilityAssociationFeatureSourceQueryResult::nextQueryParams() const

    Returns a QueryParameters object for retrieving the next page of results.

    To retrieve the next page of results, use this in a call to the UtilityAssociationFeatureSource::queryFeaturesAsync method. If there are no more pages of results, this property will be empty.

    Esri::ArcGISRuntime::QueryParameters UtilityAssociationFeatureSourceQueryResult::queryParams() const

    Returns the original query parameters used to generate this result, if provided.

    Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.